`timescale 1ns/1ns



module fram_rw_tb;

reg FRAM_rd_req,FRAM_wr_req;
reg[12:0] addr_in;
reg[7:0] data_in;
wire[7:0] FRAM_data;
wire[12:0] FRAM_addr;
wire[7:0]data_out;
wire FRAM_ce,FRAM_we,FRAM_oe;
wire rddata_rdy,wr_completed;
reg clk,rst_n;

reg wr_cmp_1;
wire wr_neg;

fram_rw u1(FRAM_rd_req,FRAM_wr_req,//request signal:input
			   addr_in,data_in,data_out,//address and data input from top level
			   FRAM_data,FRAM_addr,//Data and Address bus connect to FRAM
			   FRAM_ce,FRAM_we,FRAM_oe,//FRAM Control signal.Chip Enable,Write Enable and Data Output Enable.
			   rddata_rdy,wr_completed,//Ready and Completed signal.Feedback to the top level
			   clk,rst_n);
FM16W08	u2(FRAM_data,FRAM_addr,FRAM_ce,FRAM_we,FRAM_oe);

initial
begin
clk=0;
rst_n=0;
FRAM_rd_req=0;
FRAM_wr_req=0;
#1000 rst_n=1;

addr_in='h0000;
data_in='h88;
#100
FRAM_wr_req=1;
#30 FRAM_wr_req=0;
#165 FRAM_rd_req=1;
#30  FRAM_rd_req=0;


#260 $stop;
end

always #10 clk<=~clk;

always @(posedge clk or negedge rst_n)
begin
if(!rst_n)
	wr_cmp_1<=1'b0;
else
begin
	wr_cmp_1<=wr_completed;
end
end

assign wr_neg=(wr_cmp_1)&&(~wr_completed);





endmodule

